.programs {
    padding: 0 rem(10);
    position: relative;

    &__slider {
        margin: 0 rem(-10);
    }

    &__nav {
        top: calc(50% - 35px);
        z-index: 50;
        display: block;
        position: absolute;

        &--prev {
            left: rem(-15);
        }

        &--next {
            right: rem(-15);
        }
    }

    @include media-breakpoint-up(md) {
        padding: 0;

        &__nav {

            &--prev {
                left: rem(-25);
            }

            &--next {
                right: rem(-25);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__slider {
        }

        &__nav {


            &--prev {
                left: rem(-70);
            }

            &--next {
                right: rem(-70);
            }
        }
    }
}

[data-programs] {
    overflow: visible;

    .swiper-slide {
        padding: 0 rem(10) rem(20) rem(10);
    }

    @include media-breakpoint-up(sm) {

        .swiper-slide {
            width: rem(362);
        }
    }

    @include media-breakpoint-up(xl) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

.program-item {
    font-weight: 400;
    font-size: rem(16);
    line-height: rem(24);
    color: $black;
    padding: rem(15);
    background: $white;
    border-radius: 15px;
    box-shadow: 0px 5px 10px rgba(20, 21, 26, 0.1);

    &__top {
        margin-bottom: rem(15);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__time {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(24);
        white-space: nowrap;
        font-family: $font-family-third;
    }

    &__favorite {
        font-size: 0;
        line-height: 0;
    }

    &__info {
        padding: 0;
        list-style: none;
        margin: 0 0 rem(20) 0;
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        li {
            display: flex;
            align-items: center;
            white-space: nowrap;

            &:not(:last-child) {
                margin-bottom: rem(8);
            }

            &:first-child {

                &:after {
                    width: 4px;
                    height: 4px;
                    content: '';
                    display: block;
                    margin: 0 rem(8);
                    border-radius: 50%;
                    background: rgba(0,0,0,0.3);
                }
            }

            &:last-child {
                width: 100%;
            }
        }
    }

    &__header {
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(28);
        margin-bottom: rem(10);
        font-family: $font-family-third;

        a {
            color: $black;
            text-decoration: none;

            &:hover {
                color: $black;
                text-decoration: none;
            }
        }
    }

    &__text {
        margin-bottom: rem(15);
    }

    &__tags {
        font-size: 0;
        line-height: 0;
        padding: 0;
        margin: 0 rem(-5) rem(5) 0;
        text-decoration: none;
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        li {
            margin: 0 rem(5) rem(5) 0;
        }
    }

    &__divider {
        opacity: 0.3;
        padding-top: rem(10);
        margin-right: rem(28);
        margin-bottom: rem(10);
        border-bottom: 1px solid $black;
    }

    &__label {
        font-weight: 400;
        font-size: rem(15);
        line-height: rem(20);
        margin-bottom: rem(10);
    }

    &__footer {
        position: relative;
    }

    &__group {
        width: rem(270);
        padding: rem(10px) 0;

        &--speakers {
            border-bottom: 1px solid #ccc;
        }
    }

    &__moderator {
        width: 50px;
        height: 50px;
        font-size: 0;
        line-height: 0;
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: 50%;
    }

    &__share {
        right: 0;
        bottom: 0;
        z-index: 20;
        position: absolute;
        text-align: right;
    }

    @include media-breakpoint-up(sm) {

        &--md {

            .program-item {

                &__time {
                    font-size: rem(22);
                    line-height: rem(25)
                }

                &__info {

                    li {

                        &:not(:last-child) {
                            margin-bottom: 0;

                            &:after {
                                width: 4px;
                                height: 4px;
                                content: '';
                                display: block;
                                margin: 0 rem(8);
                                border-radius: 50%;
                                background: rgba(0,0,0,0.3);
                            }
                        }

                        &:last-child {
                            width: auto;
                        }
                    }
                }

                &__header {
                    font-size: rem(26);
                    line-height: rem(32)
                }

                &__footer {
                    padding-bottom: rem(24);
                    margin-left: rem(-10);
                    padding-top: rem(15);
                    display: flex;
                    align-items: center;
                }

                &__group {
                    width: auto;
                    padding: 0 rem(10);

                    &--speakers {
                        border-bottom: none;
                    }

                    &--moderator {
                        border-left: 1px solid #ccc;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &--md {
            padding: rem(20);

            .speakers__item {

                &:nth-child(-n+8) {
                    display: block;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &--md {

            .speakers__item {

                &:nth-child(-n+8) {
                    display: none;
                }

                &:nth-child(-n+4) {
                    display: block;
                }
            }

            .program-item {

                &__time {
                    font-size: rem(16);
                    line-height: rem(24);
                }

                &__header {
                    font-size: rem(20);
                    line-height: rem(28);
                }

                &__info {

                    li {

                        &:nth-child(2) {

                            &:after {
                                display: none;
                            }
                        }

                        &:last-child {
                            width: 100%;
                            margin-top: rem(8);
                        }
                    }
                }

                &__footer {
                    display: block;
                    padding-top: 0;
                    margin-left: 0;
                    padding-bottom: 0;
                }

                &__group {
                    width: rem(270);
                    padding: rem(10) 0;

                    &--speakers {
                        border-bottom: 1px solid #ccc;
                    }

                    &--moderator {
                        border-left: none;
                    }
                }
            }
        }
    }
}
